notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)
Port details
rubygem-openid_connect OpenID Connect Server & Client Library
1.2.0_1 net on this many watch lists=0 search for ports that depend on this port Find issues related to this port Report an issue related to this port View this port on Repology. pkg-fallout 1.2.0Version of this port present on the latest quarterly branch.
Maintainer: mfechner@FreeBSD.org search for ports maintained by this maintainer
Port Added: 2019-05-18 09:43:11
Last Update: 2021-09-30 12:47:21
Commit Hash: 70b621d
Also Listed In: rubygems
License: MIT
Description:
SVNWeb : git : Homepage
pkg-plist: as obtained via: make generate-plist
Expand this list (3 items)
Collapse this list.
  1. /usr/local/share/licenses/rubygem-openid_connect-1.2.0_1/catalog.mk
  2. /usr/local/share/licenses/rubygem-openid_connect-1.2.0_1/LICENSE
  3. /usr/local/share/licenses/rubygem-openid_connect-1.2.0_1/MIT
Collapse this list.
Dependency lines:
  • rubygem-openid_connect>0:net/rubygem-openid_connect
To install the port:
cd /usr/ports/net/rubygem-openid_connect/ && make install clean
To add the package, run one of these commands:
  • pkg install net/rubygem-openid_connect
  • pkg install rubygem-openid_connect
PKGNAME: rubygem-openid_connect
Flavors: there is no flavor information for this port.
distinfo:
Packages (timestamps in pop-ups are UTC):
rubygem-openid_connect
ABIlatestquarterly
FreeBSD:11:aarch64-1.1.7_1
FreeBSD:11:amd641.2.01.2.0
FreeBSD:11:armv6-1.1.7_1
FreeBSD:11:i3861.2.01.2.0
FreeBSD:11:mips--
FreeBSD:11:mips64--
FreeBSD:12:aarch64-1.2.0_1
FreeBSD:12:amd641.2.0_11.2.0_1
FreeBSD:12:armv6-1.1.7_2
FreeBSD:12:armv7-1.1.7_2
FreeBSD:12:i3861.2.0_11.2.0_1
FreeBSD:12:mips--
FreeBSD:12:mips64--
FreeBSD:12:powerpc64-1.1.7_2
FreeBSD:13:aarch641.1.7_21.2.0_1
FreeBSD:13:amd641.2.0_11.2.0_1
FreeBSD:13:armv61.1.7_21.1.7_2
FreeBSD:13:armv71.1.7_21.2.0_1
FreeBSD:13:i3861.2.0_11.2.0_1
FreeBSD:13:mips--
FreeBSD:13:mips64--
FreeBSD:13:powerpc641.1.7_21.2.0
FreeBSD:14:aarch641.2.0_1-
FreeBSD:14:amd641.2.0_1-
FreeBSD:14:armv61.1.7_2-
FreeBSD:14:armv71.1.7_2-
FreeBSD:14:i3861.2.0_1-
FreeBSD:14:mips--
FreeBSD:14:mips64--
FreeBSD:14:powerpc641.1.7_2-
 

Dependencies
NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.
Build dependencies:
  1. ruby27 : lang/ruby27
  2. gem27 : devel/ruby-gems
Runtime dependencies:
  1. rubygem-activemodel61>=0 : databases/rubygem-activemodel61
  2. rubygem-attr_required>=1.0.0 : devel/rubygem-attr_required
  3. rubygem-json-jwt>=1.5.0 : www/rubygem-json-jwt
  4. rubygem-rack-oauth2>=1.6.1 : security/rubygem-rack-oauth2
  5. rubygem-swd>=1.0.0 : www/rubygem-swd
  6. rubygem-tzinfo>=0 : devel/rubygem-tzinfo
  7. rubygem-validate_email>=0 : devel/rubygem-validate_email
  8. rubygem-validate_url>=0 : devel/rubygem-validate_url
  9. rubygem-webfinger>=1.0.1 : devel/rubygem-webfinger
  10. ruby27 : lang/ruby27
  11. gem27 : devel/ruby-gems
Patch dependencies:
  1. ruby27 : lang/ruby27
  2. gem27 : devel/ruby-gems
Extract dependencies:
  1. ruby27 : lang/ruby27
This port is required by:
for Run
  1. net/rubygem-gitlab-omniauth-openid-connect
  2. net/rubygem-omniauth_openid_connect

Configuration Options:
Options name:

USES:

FreshPorts was unable to extract/find any pkg message
Master Sites:
Expand this list (1 items)
Collapse this list.
  1. https://rubygems.org/downloads/
Collapse this list.

Number of commits found: 7

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
30 Sep 2021 12:47:21
 files touched by this commit commit hash:70b621db3cfe442260789464e506dc847eadb1ea  1.2.0_1
Matthias Fechner (mfechner) search for other commits by this committer
*/*: Switch deps from rails 6.0 to 6.1
29 May 2021 16:23:57
 files touched by this commit commit hash:a32cfe6c3653224b5d6aae01834b56b81cd72e09  1.2.0
Matthias Fechner (mfechner) search for other commits by this committer
net/rubygem-openid_connect: Update to 1.2.0

Required for gitlab-ce 13.12.
06 Apr 2021 14:31:07
 files touched by this commit commit hash:305f148f482daf30dcf728039d03d019f88344eb  1.1.7_2
Mathieu Arnold (mat) search for other commits by this committer
Remove # $FreeBSD$ from Makefiles.
03 Jul 2020 21:24:53
Original commit files touched by this commit Revision:541143  1.1.7_2
mfechner search for other commits by this committer
Use rails60.
07 Dec 2019 10:31:38
Original commit files touched by this commit Revision:519195  1.1.7_1
mfechner search for other commits by this committer
Change rubygem ports required by www/gitlab-ce to rails52.

Currently a lot of ports www/gitlab-ce is using pulls rails 5.0 and 5.2 ports as
dependencies in.
To reduce the number of ports required, the attached patch switches all required
ports to rails 5.2.

I carefully tested it, if I oversaw a port, please let me know.

Differential Revision:	https://reviews.freebsd.org/D22220
07 Jun 2019 15:03:12
Original commit files touched by this commit Revision:503630  1.1.7
mfechner search for other commits by this committer
Upgrade to 1.1.7.

Reported by:	portscout
18 May 2019 09:42:49
Original commit files touched by this commit Revision:501925  1.1.6
mfechner search for other commits by this committer
Added new ports required by upcoming gitlab-ce version 11.11.

Number of commits found: 7